Vector::BLF::SerialEvent(3)

NAME
Vector::BLF::SerialEvent - SERIAL_EVENT.

SYNOPSIS

#include <SerialEvent.h>

Inherits Vector::BLF::ObjectHeader.

  Public Types
enum Flags : uint32_t { KLineEvent = 0x00000001, DiagRequest = 0x00000002, SingleByte = 0x00000004, CompactByte = 0x00000008 }
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

  Public Member Functions
SerialEvent (const SerialEvent &)=default
SerialEvent & operator= (const SerialEvent &)=default
SerialEvent (SerialEvent &&)=default
SerialEvent & operator= (SerialEvent &&)=default
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
uint16_t calculateHeaderSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint32_t flags {}
uint32_t port {}
channel of event
uint32_t baudrate {}
baudrate at which this event was transmitted (optional)
uint32_t reservedSerialEvent {}
GeneralSerialEvent general {}
SingleByteSerialEvent singleByte {}
CompactSerialEvent compact {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

Detailed Description

SERIAL_EVENT. serial event

Member Enumeration Documentation

  enum Vector::BLF::SerialEvent::Flags : uint32_t
enumeration for flags

Enumerator

KLineEvent
    K-Line event

DiagRequest
    diagnostic request

only valid if KLineEvent is set

SingleByte
    single byte

optimization for logging single bytes

CompactByte
    compact byte

optimization for logging a few bytes without additional timestamps

Member Function Documentation

  uint32_t Vector::BLF::SerialEvent::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeader.

  void Vector::BLF::SerialEvent::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeader.

  void Vector::BLF::SerialEvent::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeader.

Member Data Documentation

  uint32_t Vector::BLF::SerialEvent::baudrate {}

baudrate at which this event was transmitted (optional) baudrate at which this event was transmitted (optional)

  CompactSerialEvent Vector::BLF::SerialEvent::compact {}
compact serial event

  uint32_t Vector::BLF::SerialEvent::flags {}
flags

  GeneralSerialEvent Vector::BLF::SerialEvent::general {}
general serial event

  uint32_t Vector::BLF::SerialEvent::port {}

channel of event channel of event

  uint32_t Vector::BLF::SerialEvent::reservedSerialEvent {}
reserved

  SingleByteSerialEvent Vector::BLF::SerialEvent::singleByte {}
single byte serial event

Author

Generated automatically by Doxygen for Vector BLF from the source code.